Skip to main content
POST
/
v1
/
upload-sessions
/
{token}
/
documents
/
{documentId}
/
complete
Complete uploaded document
curl --request POST \
  --url https://sandbox.payfi.global/v1/upload-sessions/{token}/documents/{documentId}/complete
{
  "documentId": "doc_example",
  "status": "CLEAN",
  "operationStatus": "DOCUMENTS_UPLOADED"
}

Documentation Index

Fetch the complete documentation index at: https://docs.payfi.global/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

token
string
required

Upload session token.

documentId
string
required

Document ID.

Response

Upload completed.

documentId
string
Example:

"doc_example"

status
enum<string>
Available options:
REGISTERED,
UPLOAD_PENDING,
UPLOADED,
SCANNING,
CLEAN,
REJECTED,
PROCESSING,
PROCESSED,
PROCESSING_FAILED
Example:

"CLEAN"

operationStatus
enum<string> | null
Available options:
CREATED,
REQUIREMENTS_PENDING,
REQUIREMENTS_REVIEW_REQUIRED,
REQUIREMENTS_FAILED,
AWAITING_DOCUMENTS,
DOCUMENTS_PARTIAL,
DOCUMENTS_UPLOADED,
PROCESSING,
PROCESSING_FAILED,
ACTION_REQUIRED,
READY_FOR_MANUAL_REVIEW,
MANUAL_REVIEW_APPROVED,
MANUAL_REVIEW_REJECTED,
MANUAL_REVIEW_CHANGES_REQUESTED,
PARTNER_CALLBACK_PENDING,
PARTNER_CALLBACK_DELIVERED,
PARTNER_CALLBACK_FAILED,
CANCELLED,
FAILED
Example:

"DOCUMENTS_UPLOADED"